@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



.ye-com_hybris_cockpitng_editor_boolean_wrapper {
    float: left;
}

.yw-editorarea-tabbox .z-groupbox-content {
	span.ye-com_hybris_cockpitng_editor_defaultboolean.z-radiogroup {
		display: inline-block;
		vertical-align: middle;
		max-width: 100%;
	}

	.ye-com_hybris_cockpitng_editor_boolean_wrapper .z-hbox {
		width: auto;
		max-width: 100%;
		
		td table {
			border-collapse: collapse;
		}
	}
}
.bulkedit-attr,
.yw-editorarea-tabbox .z-groupbox-content {
	.ye-com_hybris_cockpitng_editor_boolean_wrapper .z-hbox {
		td table {
			td {
				display: inline-block;
				height: auto !important;
				line-height: $editor-defaults__inline-box--height - 2px !important;
				margin-right: 5px;

				&.z-hbox-separator {
					line-height: 0 !important;
					display: inline;
					margin: 0;

					@media (max-width: 1100px){
						display: none;
					}
				}
			}
		}
	}
}

.yw-bulkedit-groupbox .bulkedit-attr {
	span.ye-com_hybris_cockpitng_editor_defaultboolean.z-radiogroup {
		width: 100%;
		display: inline-block;
		vertical-align: middle;
		max-width: 100%;
	}
	.ye-com_hybris_cockpitng_editor_boolean_wrapper {
		.z-hbox {
			min-width: 100%;
			width: 100%;
			max-width: 100%;
			
			td table {
				border-collapse: collapse;
				width: 100%;
			}
		}
	}
	.yw-loceditor .yw-loceditor-fixed-open,
	.yw-loceditor .yw-loceditor-dynamic-content {
		.ye-com_hybris_cockpitng_editor_boolean_wrapper .z-hbox td table td {
			margin-left: 5px;
			margin-right: 0;
		}
	}
}

.y-editor-area-attributes-cnt-min {
	.yw-editorarea-tabbox .z-groupbox-content {
		.ye-com_hybris_cockpitng_editor_boolean_wrapper .z-hbox {
			td table td {
				width: auto;
			}
		}
	}
}

@media screen and (min-width : 400px) and (max-width : 1199px) {
	.yw-editorarea-tabbox-tabs .z-groupbox-content .ye-com_hybris_cockpitng_editor_boolean_wrapper {
		width: 100%;
		.z-hbox {
			table-layout: inherit;
			table {
				width: auto;
				max-width: 100%;
			}
		}
	}
}

@media screen and (min-width : 1200px)  and (max-width : 2000px) {
	.yw-editorarea-tabbox-tabs .z-groupbox-content .ye-com_hybris_cockpitng_editor_boolean_wrapper .z-hbox {
		min-width: 50%;
	}
}

.ye-com_hybris_cockpitng_editor_boolean_wrapper {
	.yw-wizard-property &,
	.z-radiogroup & {
		float: none;

		.ie10 &,
		.ie11 &,
		.edge & {
			margin-top: 1px;
		}
	}
	.yw-wizard-property .yw-loceditor-fixed-open .yw-loceditor-row &, 
	.yw-wizard-property .yw-loceditor-dynamic-content .yw-loceditor-row &,
	.yw-loceditor-fixed-open .yw-loceditor-row .z-radiogroup &, 
	.yw-loceditor-dynamic-content .yw-loceditor-row .z-radiogroup & {
		.ie10 &,
		.ie11 &,
		.edge & {
			margin-top: 0;
		}
	}
}